<template>
  <div class="flex items-center">
    <div class="f"></div>
    <div class="flex-shrink-0 w-10 h-10">
      <img
        class="w-full h-full rounded-full shadow-lg"
        :src="message.user.profile_photo_url"
        alt="Avatar of User"
      />
    </div>
    <div class="ml-4">
      <div class="text-sm font-medium text-gray-900">
        {{ message.user.name }}
      </div>

      <div class="mt-2 text-sm text-gray-900">
        {{ message.message }}
      </div>
      <div class="text-sm text-gray-600">
        {{ format_date(message.created_at) }}
      </div>
    </div>
  </div>
</template>

<script>
import moment from 'moment';
export default {
    props: ['message'],
    methods: {
        format_date(value){
            return moment(String(value)).format('MM/DD/YYYY hh:mm');
        }
    }
};
</script>
